"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../../lib");
(0, lib_1.makeThisModuleAnExecutableReplacer)(async (params) => {
    for (const { replacer } of await Promise.all([
        Promise.resolve().then(() => require("./fast-xml-parser")),
        Promise.resolve().then(() => require("./graphql")),
        Promise.resolve().then(() => require("./ipaddr.js")),
        Promise.resolve().then(() => require("./react")),
        Promise.resolve().then(() => require("./react-dom")),
        Promise.resolve().then(() => require("./rxjs"))
    ])) {
        const output = await replacer(params);
        if (output !== undefined) {
            return output;
        }
    }
    return undefined;
});
//# sourceMappingURL=index.js.map